------------------------------------------------------------------
-- Manually translated dump of MCR30 tables from mysql to postgreSQL
-- Rodrigo Agerri rodrigo.agerri@ehu.es
------------------------------------------------------------------

BEGIN;


--
-- Base de datos: "mcr30"
--

-- --------------------------------------------------------


--
-- Create enum types
--

CREATE TYPE status_props as ENUM ('i','-');
CREATE TYPE lexical_props as ENUM ('-','n');
CREATE TYPE myusage as ENUM ('fig');
CREATE TYPE variant_status as ENUM ('automatically assigned','confirmed','revised');

--
-- Estructura de tabla para la tabla "mark_values_synset"
--

CREATE TABLE IF NOT EXISTS "mark_values_synset" (
  "value" varchar(20) NOT NULL,
  "description" character varying NOT NULL,
  PRIMARY KEY ("value")
);

--
-- Volcar la base de datos para la tabla "mark_values_synset"
--


--
-- Estructura de tabla para la tabla "mark_values_variant"
--

CREATE TABLE IF NOT EXISTS "mark_values_variant" (
  "value" varchar(20) NOT NULL,
  "description" character varying NOT NULL,
  PRIMARY KEY ("value")

);

--
-- Volcar la base de datos para la tabla "mark_values_variant"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_cat-30_examples"
--

CREATE TABLE IF NOT EXISTS "wei_cat-30_examples" (
  "word" character varying NOT NULL,
  "sense" INT4 NOT NULL DEFAULT '0',
  "examples" character varying DEFAULT NULL,
  "pos" char(1) NOT NULL,
  "offset" varchar(17) NOT NULL
);

--
-- Volcar la base de datos para la tabla "wei_cat-30_examples"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_cat-30_relation"
--

CREATE TABLE IF NOT EXISTS "wei_cat-30_relation" (
  "relation" INT2 NOT NULL DEFAULT '0',
  "sourceSynset" char(17)  NOT NULL,
  "sourcePos" char(1)  NOT NULL,
  "targetSynset" char(17)  NOT NULL,
  "targetPos" char(1)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  "method" char(2)  NOT NULL,
  "version" char(1)  NOT NULL,
  "wnSource" char(4)  NOT NULL,
  PRIMARY KEY ("relation","sourceSynset","sourcePos","targetSynset","targetPos","method","version","wnSource")
);

CREATE INDEX "cat_relation" on "wei_cat-30_relation" ("relation");
CREATE INDEX "cat_targetSynset"  on "wei_cat-30_relation" ("targetSynset","targetPos");
--
-- Volcar la base de datos para la tabla "wei_cat-30_relation"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_cat-30_synset"
--


CREATE TABLE IF NOT EXISTS "wei_cat-30_synset" (
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "sons" INT4 NOT NULL DEFAULT '0',
  "status" status_props  NOT NULL DEFAULT '-',
  "lexical" lexical_props  NOT NULL DEFAULT '-',
  "instance" INT2 NOT NULL DEFAULT '0',
  "gloss" character varying,
  "level" INT4 NOT NULL DEFAULT '0',
  "levelFromTop" INT4 NOT NULL DEFAULT '0',
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("offset","pos")

);

--
-- Volcar la base de datos para la tabla "wei_cat-30_synset"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_cat-30_to_ili"
--

CREATE TABLE IF NOT EXISTS "wei_cat-30_to_ili" (
  "iliOffset" char(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "offset" char(17)  NOT NULL,
  "iliWnId" char(6)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  PRIMARY KEY ("iliOffset","pos","offset","iliWnId")

);

CREATE INDEX "cat_iliOffset" ON "wei_cat-30_to_ili" ("iliOffset","pos");
--
-- Volcar la base de datos para la tabla "wei_cat-30_to_ili"
--



-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_cat-30_variant"
--

CREATE TABLE IF NOT EXISTS "wei_cat-30_variant" (
  "word" character varying  NOT NULL DEFAULT '',
  "sense" INT4 NOT NULL DEFAULT '0',
  "offset" varchar(17) NOT NULL,
  "pos" char(1)  NOT NULL DEFAULT '',
  "csco" float NOT NULL DEFAULT '0',
  "experiment" varchar(20)  DEFAULT NULL,
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("word","sense","pos","offset")

);

CREATE INDEX "cat_word" ON "wei_cat-30_variant" ("word");
CREATE INDEX "cat_offset" ON "wei_cat-30_variant" ("offset","pos");

--
-- Volcar la base de datos para la tabla "wei_cat-30_variant"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_domains"
--

CREATE TABLE IF NOT EXISTS "wei_domains" (
  "target" character varying NOT NULL,
  "source" character varying DEFAULT NULL,
  "type" char(1)  NOT NULL,
  PRIMARY KEY ("target")

);

--
-- Volcar la base de datos para la tabla "wei_domains"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eng-30_examples"
--

CREATE TABLE IF NOT EXISTS "wei_eng-30_examples" (
  "word" character varying NOT NULL,
  "sense" INT4 NOT NULL DEFAULT '0',
  "examples" character varying DEFAULT NULL,
  "pos" char(1) NOT NULL,
  "offset" varchar(17) NOT NULL
);

--
-- Volcar la base de datos para la tabla "wei_eng-30_examples"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eng-30_relation"
--

CREATE TABLE IF NOT EXISTS "wei_eng-30_relation" (
  "relation" INT2 NOT NULL DEFAULT '0',
  "sourceSynset" char(17)  NOT NULL,
  "sourcePos" char(1)  NOT NULL,
  "targetSynset" char(17)  NOT NULL,
  "targetPos" char(1)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  "method" char(2)  NOT NULL,
  "version" char(1)  NOT NULL,
  "wnSource" char(4)  NOT NULL,
  PRIMARY KEY ("relation","sourceSynset","sourcePos","targetSynset","targetPos","method","version","wnSource")


);

CREATE INDEX "relation" ON "wei_eng-30_relation" ("relation");
CREATE INDEX "targetSynset" ON "wei_eng-30_relation" ("targetSynset","targetPos");

--
-- Volcar la base de datos para la tabla "wei_eng-30_relation"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eng-30_synset"
--

CREATE TABLE IF NOT EXISTS "wei_eng-30_synset" (
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "sons" INT4 NOT NULL DEFAULT '0',
  "status" status_props NOT NULL DEFAULT '-',
  "lexical" lexical_props NOT NULL DEFAULT '-',
  "instance" INT2 NOT NULL DEFAULT '0',
  "gloss" character varying,
  "level" INT4 NOT NULL DEFAULT '0',
  "levelFromTop" INT4 NOT NULL DEFAULT '0',
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("offset","pos")

);

--
-- Volcar la base de datos para la tabla "wei_eng-30_synset"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eng-30_to_ili"
--

CREATE TABLE IF NOT EXISTS "wei_eng-30_to_ili" (
  "iliOffset" char(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "offset" char(17)  NOT NULL,
  "iliWnId" char(6)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  PRIMARY KEY ("iliOffset","pos","offset","iliWnId")

);

CREATE INDEX "iliOffset" ON "wei_eng-30_to_ili" ("iliOffset","pos");

--
-- Volcar la base de datos para la tabla "wei_eng-30_to_ili"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eng-30_variant"
--

CREATE TABLE IF NOT EXISTS "wei_eng-30_variant" (
  "word" character varying  NOT NULL DEFAULT '',
  "sense" INT4 NOT NULL DEFAULT '0',
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL DEFAULT '',
  "csco" float NOT NULL DEFAULT '0',
  "experiment" varchar(20)  DEFAULT NULL,
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("word","sense","pos","offset")

);

CREATE INDEX "word" ON "wei_eng-30_variant" ("word");
CREATE INDEX "offset" ON "wei_eng-30_variant" ("offset","pos");
--
-- Volcar la base de datos para la tabla "wei_eng-30_variant"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eus-30_examples"
--

CREATE TABLE IF NOT EXISTS "wei_eus-30_examples" (
  "word" character varying  NOT NULL,
  "sense" integer NOT NULL DEFAULT '0',
  "examples" character varying  DEFAULT NULL,
  "pos" char(1)  NOT NULL,
  "offset" varchar(17)  NOT NULL
);

--
-- Volcar la base de datos para la tabla "wei_eus-30_examples"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eus-30_relation"
--

CREATE TABLE IF NOT EXISTS "wei_eus-30_relation" (
  "relation" integer NOT NULL DEFAULT '0',
  "sourceSynset" char(17)  NOT NULL,
  "sourcePos" char(1)  NOT NULL,
  "targetSynset" char(17)  NOT NULL,
  "targetPos" char(1)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  "method" char(2)  NOT NULL,
  "version" char(1)  NOT NULL,
  "wnSource" char(4)  NOT NULL,
  PRIMARY KEY ("relation","sourceSynset","sourcePos","targetSynset","targetPos","method","version","wnSource")

);

CREATE INDEX "eus_relation" ON "wei_eus-30_relation" ("relation");
CREATE INDEX "eus_targetSynset" ON "wei_eus-30_relation" ("targetSynset","targetPos");

--
-- Volcar la base de datos para la tabla "wei_eus-30_relation"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eus-30_synset"
--

CREATE TABLE IF NOT EXISTS "wei_eus-30_synset" (
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "sons" INT4 DEFAULT NULL,
  "status" status_props  NOT NULL DEFAULT 'i',
  "lexical" lexical_props  DEFAULT NULL,
  "instance" INT2 NOT NULL DEFAULT '0',
  "gloss" character varying,
  "level" INT4 NOT NULL DEFAULT '0',
  "levelFromTop" INT4 NOT NULL DEFAULT '0',
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("offset","pos")

);

--
-- Volcar la base de datos para la tabla "wei_eus-30_synset"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eus-30_to_ili"
--

CREATE TABLE IF NOT EXISTS "wei_eus-30_to_ili" (
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "iliOffset" varchar(17)  NOT NULL,
  "iliWnId" varchar(6)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  PRIMARY KEY ("iliOffset","pos","offset","iliWnId")

);

CREATE INDEX "eus_iliOffset" ON "wei_eus-30_to_ili" ("iliOffset","pos");
--
-- Volcar la base de datos para la tabla "wei_eus-30_to_ili"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_eus-30_variant"
--

CREATE TABLE IF NOT EXISTS "wei_eus-30_variant" (
  "word" character varying  NOT NULL,
  "sense" INT4 NOT NULL DEFAULT '0',
  "offset" varchar(17)  DEFAULT NULL,
  "pos" char(1)  DEFAULT NULL,
  "csco" float NOT NULL DEFAULT '0',
  "experiment" varchar(20)  DEFAULT NULL,
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY  ("word","sense","offset","pos")
);

CREATE INDEX "eus_word" ON "wei_eus-30_variant" ("word");
CREATE INDEX "eus_offset" ON "wei_eus-30_variant" ("offset","pos");

--
-- Volcar la base de datos para la tabla "wei_eus-30_variant"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_glg-30_examples"
--

CREATE TABLE IF NOT EXISTS "wei_glg-30_examples" (
  "word" character varying NOT NULL,
  "sense" INT4 NOT NULL DEFAULT '0',
  "examples" character varying DEFAULT NULL,
  "pos" char(1) NOT NULL,
  "offset" varchar(17) NOT NULL
);

--
-- Volcar la base de datos para la tabla "wei_glg-30_examples"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_glg-30_relation"
--

CREATE TABLE IF NOT EXISTS "wei_glg-30_relation" (
  "relation" INT2 NOT NULL DEFAULT '0',
  "sourceSynset" char(17)  NOT NULL,
  "sourcePos" char(1)  NOT NULL,
  "targetSynset" char(17)  NOT NULL,
  "targetPos" char(1)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  "method" char(2)  NOT NULL,
  "version" char(1)  NOT NULL,
  "wnSource" char(4)  NOT NULL,
  PRIMARY KEY ("relation","sourceSynset","sourcePos","targetSynset","targetPos","method","version","wnSource")

);

CREATE INDEX "glg_relation" ON "wei_glg-30_relation" ("relation");
CREATE INDEX "glg_targetSynset" ON "wei_glg-30_relation" ("targetSynset","targetPos");

--
-- Volcar la base de datos para la tabla "wei_glg-30_relation"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_glg-30_synset"
--

CREATE TABLE IF NOT EXISTS "wei_glg-30_synset" (
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "sons" INT4 NOT NULL DEFAULT '0',
  "status" status_props  NOT NULL DEFAULT '-',
  "lexical" lexical_props  NOT NULL DEFAULT '-',
  "instance" INT2 NOT NULL DEFAULT '0',
  "gloss" character varying,
  "level" INT4 NOT NULL DEFAULT '0',
  "levelFromTop" INT4 NOT NULL DEFAULT '0',
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("offset","pos")

);

--
-- Volcar la base de datos para la tabla "wei_glg-30_synset"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_glg-30_to_ili"
--

CREATE TABLE IF NOT EXISTS "wei_glg-30_to_ili" (
  "iliOffset" char(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "offset" char(17)  NOT NULL,
  "iliWnId" char(6)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  PRIMARY KEY ("iliOffset","pos","offset","iliWnId")
);

CREATE INDEX "glg_iliOffset" ON "wei_glg-30_to_ili" ("iliOffset","pos");


--
-- Volcar la base de datos para la tabla "wei_glg-30_to_ili"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_glg-30_variant"
--

CREATE TABLE IF NOT EXISTS "wei_glg-30_variant" (
  "word" character varying NOT NULL DEFAULT '',
  "sense" INT4 NOT NULL DEFAULT '0',
  "offset" varchar(17) NOT NULL,
  "pos" char(1) NOT NULL DEFAULT '',
  "csco" float NOT NULL DEFAULT '0',
  "experiment" varchar(20)  DEFAULT NULL,
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("word","sense","pos","offset")

);

CREATE INDEX "glg_word" ON "wei_glg-30_variant" ("word");
CREATE INDEX "glg_offset" ON "wei_glg-30_variant" ("offset","pos");

--
-- Volcar la base de datos para la tabla "wei_glg-30_variant"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_ili_record"
--

CREATE TABLE IF NOT EXISTS "wei_ili_record" (
  "iliOffset" char(17)  NOT NULL,
  "iliPos" char(1)  NOT NULL,
  "iliWnId" char(6)  NOT NULL,
  "bc" INT2 NOT NULL DEFAULT '0',
  "semf" char(2)  NOT NULL,
  "instance" INT2 NOT NULL DEFAULT '0',
  PRIMARY KEY ("iliOffset","iliPos","iliWnId")

);

CREATE INDEX "bc" ON "wei_ili_record" ("bc");
--
-- Volcar la base de datos para la tabla "wei_ili_record"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_ili_to_domains"
--

CREATE TABLE IF NOT EXISTS "wei_ili_to_domains" (
  "domain" character varying  NOT NULL,
  "iliOffset" varchar(17)  NOT NULL,
  "iliPos" char(1)  NOT NULL,
  "iliWnId" varchar(6)  NOT NULL,
  PRIMARY KEY ("domain","iliOffset","iliPos","iliWnId")

);

CREATE INDEX "domains_iliOffset" ON "wei_ili_to_domains" ("iliOffset","iliPos");

--
-- Volcar la base de datos para la tabla "wei_ili_to_domains"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_ili_to_sumo"
--

CREATE TABLE IF NOT EXISTS "wei_ili_to_sumo" (
  "iliOffset" varchar(17)  NOT NULL,
  "iliPos" char(1)  NOT NULL,
  "iliWnId" varchar(6)  NOT NULL DEFAULT 'en16',
  "SUMO" character varying  NOT NULL,
  "modif" char(3)  NOT NULL DEFAULT '',
  PRIMARY KEY ("iliOffset","iliPos","iliWnId","SUMO","modif")

);

CREATE INDEX "SUMO" ON "wei_ili_to_sumo" ("SUMO");
CREATE INDEX "sumo_iliOffset" ON "wei_ili_to_sumo" ("iliOffset","iliPos","iliWnId");

--
-- Volcar la base de datos para la tabla "wei_ili_to_sumo"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_ili_to_to"
--

CREATE TABLE IF NOT EXISTS "wei_ili_to_to" (
  "top" character varying  NOT NULL,
  "iliOffset" varchar(17)  NOT NULL,
  "iliPos" char(1)  NOT NULL,
  "iliWnId" varchar(6)  NOT NULL,
  "modif" char(1)  NOT NULL DEFAULT '#',
  PRIMARY KEY ("top","iliOffset","iliPos","iliWnId","modif")
);

CREATE INDEX "to_iliOffset" ON "wei_ili_to_to" ("iliOffset","iliPos","iliWnId");
CREATE INDEX "top" ON "wei_ili_to_to" ("top");


--
-- Volcar la base de datos para la tabla "wei_ili_to_to"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_lexnames"
--

CREATE TABLE IF NOT EXISTS "wei_lexnames" (
  "semf" char(2)  NOT NULL,
  "name" character varying  NOT NULL,
  PRIMARY KEY ("semf")

);

--
-- Volcar la base de datos para la tabla "wei_lexnames"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_relations"
--

CREATE TABLE IF NOT EXISTS "wei_relations" (
  "id" INT2 NOT NULL DEFAULT '0',
  "name" character varying  NOT NULL,
  "props" varchar(4)  NOT NULL,
  "inverse" character varying  NOT NULL,
  "grup" INT4 DEFAULT NULL,
  "note" character varying  DEFAULT NULL,
  PRIMARY KEY ("id")

);

CREATE INDEX "rel_name" ON "wei_relations" ("name");

--
-- Volcar la base de datos para la tabla "wei_relations"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_relations_group"
--

CREATE TABLE IF NOT EXISTS "wei_relations_group" (
  "id" INT2 NOT NULL DEFAULT '0',
  "name" character varying  NOT NULL,
  "cascada" INT4 NOT NULL DEFAULT '0',
  PRIMARY KEY ("id")

);

CREATE INDEX "rel_group_name" ON "wei_relations_group" ("name");

--
-- Volcar la base de datos para la tabla "wei_relations_group"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_spa-30_examples"
--

CREATE TABLE IF NOT EXISTS "wei_spa-30_examples" (
  "word" character varying  NOT NULL,
  "sense" INT4 NOT NULL DEFAULT '0',
  "examples" character varying  DEFAULT NULL,
  "pos" char(1)  NOT NULL,
  "offset" varchar(17)  NOT NULL
);

--
-- Volcar la base de datos para la tabla "wei_spa-30_examples"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_spa-30_relation"
--

CREATE TABLE IF NOT EXISTS "wei_spa-30_relation" (
  "relation" INT2 NOT NULL DEFAULT '0',
  "sourceSynset" char(17)  NOT NULL,
  "sourcePos" char(1)  NOT NULL,
  "targetSynset" char(17)  NOT NULL,
  "targetPos" char(1)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  "method" char(2)  NOT NULL,
  "version" char(1)  NOT NULL,
  "wnSource" char(4)  NOT NULL,
  PRIMARY KEY ("relation","sourceSynset","sourcePos","targetSynset","targetPos","method","version","wnSource")

);

CREATE INDEX "spa_relation" ON "wei_spa-30_relation" ("relation");
CREATE INDEX "spa_targetSynset" ON "wei_spa-30_relation" ("targetSynset","targetPos");

--
-- Volcar la base de datos para la tabla "wei_spa-30_relation"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_spa-30_synset"
--

CREATE TABLE IF NOT EXISTS "wei_spa-30_synset" (
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "sons" INT4 NOT NULL DEFAULT '0',
  "status" status_props  NOT NULL DEFAULT '-',
  "lexical" lexical_props  NOT NULL DEFAULT '-',
  "instance" INT2 NOT NULL DEFAULT '0',
  "gloss" character varying,
  "level" INT4 NOT NULL DEFAULT '0',
  "levelFromTop" INT4 NOT NULL DEFAULT '0',
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("offset","pos")

);

--
-- Volcar la base de datos para la tabla "wei_spa-30_synset"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_spa-30_to_ili"
--

CREATE TABLE IF NOT EXISTS "wei_spa-30_to_ili" (
  "iliOffset" char(17)  NOT NULL,
  "pos" char(1)  NOT NULL,
  "offset" char(17)  NOT NULL,
  "iliWnId" char(6)  NOT NULL,
  "csco" float NOT NULL DEFAULT '0',
  PRIMARY KEY ("iliOffset","pos","offset","iliWnId")

);

CREATE INDEX "spa_ilioffset" ON "wei_spa-30_to_ili" ("iliOffset","pos");

--
-- Volcar la base de datos para la tabla "wei_spa-30_to_ili"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_spa-30_variant"
--

CREATE TABLE IF NOT EXISTS "wei_spa-30_variant" (
  "word" character varying  NOT NULL DEFAULT '',
  "sense" INT4 NOT NULL DEFAULT '0',
  "offset" varchar(17)  NOT NULL,
  "pos" char(1)  NOT NULL DEFAULT '',
  "csco" float NOT NULL DEFAULT '0',
  "experiment" varchar(20)  DEFAULT NULL,
  "mark" varchar(20)  NOT NULL DEFAULT '------',
  PRIMARY KEY ("word","sense","pos","offset")

);

CREATE INDEX "spa_word" ON "wei_spa-30_variant" ("word");
CREATE INDEX "spa_offset" ON "wei_spa-30_variant" ("offset","pos");

--
-- Volcar la base de datos para la tabla "wei_spa-30_variant"
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_sumo_relations"
--

CREATE TABLE IF NOT EXISTS "wei_sumo_relations" (
  "relacio" character varying  NOT NULL,
  "target" character varying  NOT NULL,
  "source" character varying  NOT NULL
);

--
-- Volcar la base de datos para la tabla "wei_sumo_relations"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_to_record"
--

CREATE TABLE IF NOT EXISTS "wei_to_record" (
  "top" character varying  NOT NULL,
  "gloss" character varying  NOT NULL,
  PRIMARY KEY ("top")

);

--
-- Volcar la base de datos para la tabla "wei_to_record"
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla "wei_to_relations"
--

CREATE TABLE IF NOT EXISTS "wei_to_relations" (
  "relation" character varying  NOT NULL,
  "source" character varying  NOT NULL,
  "target" character varying  NOT NULL,
  PRIMARY KEY ("relation","source","target")

);

--
-- Volcar la base de datos para la tabla "wei_to_relations"
--


-- --------------------------------------------------------


COMMIT;
